package com.fuyuanshen.mp.service.impl;

import com.fuyuanshen.equipment.domain.UserApp;
import com.fuyuanshen.equipment.mapper.UserAppMapper;
import com.fuyuanshen.equipment.service.AppUserService;
import com.fuyuanshen.mp.service.MPService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 登录校验方法
 *
 * @author Lion Li
 */

@Slf4j
@Service
@RequiredArgsConstructor
public class MPServiceImpl implements MPService {


    private final AppUserService appUserService;



    /**
     * 获取小程序用户信息
     *
     * @param phoneNumber 手机号
     */
    @Override
    public UserApp getMpUser(Long phoneNumber) {
        return appUserService.getMpUser(phoneNumber);
    }

    @Override
    public UserApp loadUserByUsername(String username) {
       return appUserService.loadUserByUsername(username);
    }


}
