package com.fuyuanshen.app.domain;

import com.fuyuanshen.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * app业务文件对象 app_business_file
 *
 * @author Lion Li
 * @date 2025-07-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("app_business_file")
public class AppBusinessFile extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 文件id
     */
    private Long fileId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 文件类型(1:操作说明，2:产品参数)
     */
    private Long fileType;

    /**
     * 备注
     */
    private String remark;


}
