package com.fuyuanshen.app.domain;

import com.fuyuanshen.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 人员信息登记对象 app_personnel_info
 *
 * @author Lion Li
 * @date 2025-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("app_personnel_info")
public class AppPersonnelInfo extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 人员姓名
     */
    private String name;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 单位名称
     */
    private String unitName;

    /**
     * 发送信息
     */
    private String sendMsg;


}
