package com.fuyuanshen.app.domain.bo;

import com.fuyuanshen.app.domain.AppOperationVideo;
import com.fuyuanshen.common.core.validate.EditGroup;
import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 操作视频业务对象 app_operation_video
 *
 * @author Lion Li
 * @date 2025-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AppOperationVideo.class, reverseConvertGenerate = false)
public class AppOperationVideoBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 视频名称
     */
    private String videoName;

    /**
     * 视频链接
     */
    private String videoUrl;

    /**
     * 设备di
     */
    private Long deviceId;

    /**
     * 备注
     */
    private String remark;


}
