package com.fuyuanshen.app.domain.bo;

import com.fuyuanshen.app.domain.AppPersonnelInfo;
import com.fuyuanshen.common.core.validate.AddGroup;
import com.fuyuanshen.common.core.validate.EditGroup;
import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 人员信息登记业务对象 app_personnel_info
 *
 * @author Lion Li
 * @date 2025-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AppPersonnelInfo.class, reverseConvertGenerate = false)
public class AppPersonnelInfoBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long id;

    /**
     * 设备id
     */
    @NotNull(message = "设备id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long deviceId;

    /**
     * 人员姓名
     */
    private String name;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 单位名称
     */
    private String unitName;

    /**
     * 发送信息
     */
    private String sendMsg;


}
