package com.fuyuanshen.app.service;

import com.fuyuanshen.app.domain.vo.AppBusinessFileVo;
import com.fuyuanshen.app.domain.bo.AppBusinessFileBo;
import com.fuyuanshen.app.domain.vo.AppFileVo;
import com.fuyuanshen.common.mybatis.core.page.TableDataInfo;
import com.fuyuanshen.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * app业务文件Service接口
 *
 * @author Lion Li
 * @date 2025-07-03
 */
public interface IAppBusinessFileService {

    /**
     * 查询app业务文件
     *
     * @param id 主键
     * @return app业务文件
     */
    AppBusinessFileVo queryById(Long id);

    /**
     * 分页查询app业务文件列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return app业务文件分页列表
     */
    TableDataInfo<AppBusinessFileVo> queryPageList(AppBusinessFileBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的app业务文件列表
     *
     * @param bo 查询条件
     * @return app业务文件列表
     */
    List<AppBusinessFileVo> queryList(AppBusinessFileBo bo);

    /**
     * 新增app业务文件
     *
     * @param bo app业务文件
     * @return 是否新增成功
     */
    Boolean insertByBo(AppBusinessFileBo bo);

    /**
     * 修改app业务文件
     *
     * @param bo app业务文件
     * @return 是否修改成功
     */
    Boolean updateByBo(AppBusinessFileBo bo);

    /**
     * 校验并批量删除app业务文件信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


    List<AppFileVo> queryAppFileList(AppBusinessFileBo bo);
}
